<?php
/*
 * Purpose: let the user place a signature on monitor, even better on a tablet with a stylo.
 * After that, the signature will be placed in a pdf file (new or already existing) or in a html page as an image (.png)
 * 
 * TANKS TO:
 * 
 * oliver@fpdf.org (fpdf library)
 * Setasign - Jan Slabon (fpdi library)
 * jSignature (for the clientside)
 * 
 */
class signature {
         
    var $pdf;
    var $hash;
    var $image;
     
    function __construct(){
        $this->make_hash();
        $this->make_signature();
    }
    
    // makes aan unique id for image creation
    function make_hash(){
        $this->hash = uniqid();
    } 
    
    // creates the image (if dir is writable)
    function make_signature(){
        if(isset($_POST['img'])){
            $arr = explode(',',$_POST['img']);
            $this->image = $_SERVER['DOCUMENT_ROOT']."/tmp/image{$this->hash}.png";
            if(is_writable(dirname(__FILE__))){
                file_put_contents($this->image, base64_decode($arr[1]));
            }else{
                die('<p>The working directory is not writable, abort.</p>');
            }
        }
    }
    
    // delete the image (if exists)
    function delete_signature(){
        if(file_exists($this->image)) @unlink($this->image);
    }
    
}

?>
